﻿#include <iostream>
#include <string>
#include <fstream>
#include <algorithm>

#include "MeshLoader.h"
#include "AneuMeshLoader.h"



int main() {
    const std::string FILEPATH = "1";
    MeshLoader* loader = new AneuMeshLoader;
    std::vector<FiniteElement> elems;
    std::vector<Node> nodes;
    std::vector<std::vector<Node>> neighbors;
    std::vector<BoundaryFiniteElement> surfaces;

    loader->LoadMesh("1");

    std::cout << "PrintData test:" << std::endl;
    loader->Print_Data();

    std::cout << "findFE" << std::endl;
    elems = loader->findFE(1, 2, 3);
    std::cout << elems << std::endl;
    elems.clear();

    std::cout << "findEdge" << std::endl;
    elems = loader->findEdge(1, 2);
    for (auto& x : elems)
    std::cout << x << std::endl;
    elems.clear();

    std::cout << "getSurfaceID" << std::endl;
    nodes = loader->getSurfaceID(1);
    std::cout << nodes << std::endl;
    nodes.clear();

    std::cout << "getBoundaryFiniteID" << std::endl;
    surfaces = loader->getBoundaryFiniteID(1);
    std::cout << surfaces << std::endl;
    surfaces.clear();

    std::cout << "InsertNewNodes" << std::endl;
    loader->InsertNewNodes();
    loader->Print_Data();

    return 0;
}
